## ros-kinetic-pointcloud-tools 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pointcloud_tools)

find_package(catkin REQUIRED COMPONENTS roscpp pcl_ros std_msgs sensor_msgs nav_msgs pcl_conversions)
find_package(PCL REQUIRED)
find_package(VTK REQUIRED)

find_package(Boost REQUIRED COMPONENTS signals filesystem system)
include_directories(${Boost_INCLUDE_DIRS})

catkin_package()

include_directories(${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS} ${VTK_INCLUDE_DIRS})

add_executable(pointcloud_mapper src/pointcloud_mapper.cpp)
add_executable(pointcloud_mapper_for_slam src/pointcloud_mapper_for_slam.cpp)
add_executable(pointcloud_filtering src/pointcloud_filtering.cpp)
add_executable(pcd_publisher src/pcd_publisher.cpp)
add_executable(pointcloud_viewer src/pointcloud_viewer.cpp)
add_executable(pointcloud_to_webgl src/pointcloud_to_webgl.cpp)

target_link_libraries(pointcloud_viewer ${Boost_LIBRARIES} ${PCL_LIBRARIES} ${catkin_LIBRARIES} ${VTK_LIBRARIES})
target_link_libraries(pcd_publisher ${PCL_LIBRARIES} ${catkin_LIBRARIES})
target_link_libraries(pointcloud_mapper ${PCL_LIBRARIES} ${catkin_LIBRARIES})
target_link_libraries(pointcloud_mapper_for_slam ${PCL_LIBRARIES} ${catkin_LIBRARIES})
target_link_libraries(pointcloud_filtering ${PCL_LIBRARIES} ${catkin_LIBRARIES})
target_link_libraries(pointcloud_to_webgl ${PCL_LIBRARIES} ${catkin_LIBRARIES})

=== debian/changelog ===
ros-kinetic-pointcloud-tools (0.0.3-0xenial) xenial; urgency=high

  * Fix release
  * Minnor changes
  * fixed pointcloud mapper
  * fixed bug with XYZ clouds
  * Addapt the pointlcoud_to_webgl script to the new format of the website
  * Fix ros timers to work when bagfile finishes
  * Fix save problem in pointlcoud viewer
  * Publish the pointcloud at the same rate
  * Add info message when save pointcloud
  * added waitForTransform to mapper
  * changed to use system VTK paths
  * Contributors: Miquel Massot, Scott K Logan, plnegre

 -- Pep Lluis Negre <plnegre@uib.es>  Thu, 23 Feb 2017 23:00:00 -0000

ros-kinetic-pointcloud-tools (0.0.2-0xenial) xenial; urgency=high

  * Minnor changes
  * fixed pointcloud mapper
  * fixed bug with XYZ clouds
  * Addapt the pointlcoud_to_webgl script to the new format of the website
  * Fix ros timers to work when bagfile finishes
  * Fix save problem in pointlcoud viewer
  * Publish the pointcloud at the same rate
  * Add info message when save pointcloud
  * added waitForTransform to mapper
  * changed to use system VTK paths
  * Contributors: Miquel Massot, Scott K Logan, plnegre
  * added pointcloud_to_webgl from fuerte branch
  * New node: pointcloud_mapper_for_slam
  * Fix dependency for hydro compliance
  * hydro changes
  * updated to master branch
  * wet repo
  * Variable renaming to accomplish standards
  * Grammatical change
  * FIX: allow enable/disable filter types
  * added filter to map
  * NEW: outlier filtering
  * changed the private name topics to input and output.
  * Changed the color handler for point clouds with no rgb field
  * changed to global namespace topic subscription
  * NEW: plot_tools pkg with a python script for 3D real-time odometry visualization
  * NEW: timer in pcd_publisher to control the frequency. Point cloud viewer improved.
  * Added new package of point clouds tools
  * Contributors: Miquel Massot, plnegre

 -- Pep Lluis Negre <plnegre@uib.es>  Wed, 22 Feb 2017 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pointcloud-tools
Section: misc
Priority: extra
Maintainer: Pep Lluis Negre <plnegre@uib.es>
Build-Depends: debhelper (>= 9.0.0), libvtk6-dev, ros-kinetic-catkin, ros-kinetic-nav-msgs, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/pointcloud_tools
Standards-Version: 3.9.2

Package: ros-kinetic-pointcloud-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvtk6-dev, ros-kinetic-nav-msgs, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: pointcloud_tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pointcloud-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
